> For the complete documentation index, see [llms.txt](https://docs.arkelectron.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arkelectron.com/products/embedded-computers/ark-just-a-jetson/flashing-guide.md).

# Flashing Guide

If you purchased a bundle the [Jetpack Ubuntu OS](https://developer.nvidia.com/embedded/jetpack) is already installed. Follow this guide if you want to update to the latest Jetpack or need to flash your Jetson for the first time.

## ARK Jetson Kernel GitHub Repository

This repository contains helper scripts to download and build the kernel. Please follow the README.\
<https://github.com/ARK-Electronics/ark_jetson_kernel>

## Device Tree

The ARK Just A Jetson requires a custom device tree to enable all hardware features. The device tree files are located here:\
<https://github.com/ARK-Electronics/ark_jetson_kernel/tree/main/device_tree/ark_jaj>

## Overview

To flash the kernel you will need to connect the Jetson to your Host PC using the **USB C** connection. You must boot the jetson while holding the **Force Recovery** button.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.arkelectron.com/products/embedded-computers/ark-just-a-jetson/flashing-guide.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
